Subject: bug#72135: Debian ‘guix’ package lacks zstd support

From: Ludovic Courtès <[email-masked]>
Date: Thu, 18 Jul 2024 09:21:59 +0200

Hello,

Simon Tournier <[email-masked]> skribis:

> https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1072918

Oh, nice.

> That said, after “apt install guix”, does the guix-daemon update work?
> Somehow if “guix pull” as root fails after a fresh install via APT, then
> it’s a bug on Guix side, else it’s a bug on Debian side tracked by
> 1072918. :-)

Upgrading guix-daemon when it was originally installed with apt is
tricky: you need to modify /etc/systemd/system/guix-daemon.service so
that it refers to the one in /var/guix/….  So I think few people upgrade
the daemon on Debian.

I’m not sure how to improve on that; we could document it under
“Upgrading Guix” at least.

Thanks,
Ludo’.